import type { _DOMHTMLElement } from "./DOMHTMLElement.js";
import type { _DOMHTMLFormElement } from "./DOMHTMLFormElement.js";
import type { _DOMHTMLOptionsCollection } from "./DOMHTMLOptionsCollection.js";
import type { _DOMNode } from "./DOMNode.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _DOMHTMLSelectElement extends _DOMHTMLElement {
    static alloc(): _DOMHTMLSelectElement;
    static new(): _DOMHTMLSelectElement;
    init(): _DOMHTMLSelectElement;
    item$(index: number): _DOMNode;
    namedItem$(name: _NSString): _DOMNode;
    add$before$(element: _DOMHTMLElement, before: _DOMHTMLElement): void;
    remove$(index: number): void;
    add$$(element: _DOMHTMLElement, before: _DOMHTMLElement): void;
    autofocus(): boolean;
    setAutofocus$(value: boolean): void;
    disabled(): boolean;
    setDisabled$(value: boolean): void;
    form(): _DOMHTMLFormElement;
    multiple(): boolean;
    setMultiple$(value: boolean): void;
    name(): _NSString;
    setName$(value: _NSString): void;
    size(): number;
    setSize$(value: number): void;
    type(): _NSString;
    options(): _DOMHTMLOptionsCollection;
    length(): number;
    selectedIndex(): number;
    setSelectedIndex$(value: number): void;
    value(): _NSString;
    setValue$(value: _NSString): void;
    willValidate(): boolean;
}
